org.springframework.data.repository.core.support

## Interface RepositoryFactoryInformation<T,ID>

All Known Implementing Classes:
  RepositoryFactoryBeanSupport, TransactionalRepositoryFactoryBeanSupport

    public interface RepositoryFactoryInformation<T,ID>

Interface for components that can provide meta-information about a repository factory, the backing `EntityInformation` and `RepositoryInformation` as well as the `QueryMethod`s exposed by the repository.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`EntityInformation<T,ID>` `getEntityInformation()` Returns `EntityInformation` the repository factory is using.
`PersistentEntity<?,?>` `getPersistentEntity()` Returns the `PersistentEntity` managed by the underlying repository.
`List<QueryMethod>` `getQueryMethods()` Returns all `QueryMethod`s declared for that repository.
`RepositoryInformation` `getRepositoryInformation()` Returns the `RepositoryInformation` to determine meta-information about the repository being used.

### Method Detail

#### getEntityInformation

    EntityInformation<T,ID> getEntityInformation()

Returns `EntityInformation` the repository factory is using.

Returns:

#### getRepositoryInformation

    RepositoryInformation getRepositoryInformation()

Returns the `RepositoryInformation` to determine meta-information about the repository being used.

Returns:

#### getPersistentEntity

    PersistentEntity<?,?> getPersistentEntity()

Returns the `PersistentEntity` managed by the underlying repository. Can be null in case the underlying persistence mechanism does not expose a `MappingContext`.

Returns:

#### getQueryMethods

    List<QueryMethod> getQueryMethods()

Returns all `QueryMethod`s declared for that repository.

Returns: